### Function

# GnomeAutoar format_filter_get_mime_type

#### Declaration [src]

    gchar*
    autoar_format_filter_get_mime_type (
      AutoarFormat format,
      AutoarFilter filter
    )

#### Description [src]

Gets the MIME type for an archive `format` compressed by `filter`. This function always succeed, but it is not guaranteed that the returned MIME type exists and can be recognized by applications. Some combination of format and filter seldom exists in application, so this function can only generate the string based on some non-standard rules.

#### Parameters

`format`

  Type: `AutoarFormat`

  An `AutoarFormat`.

`filter`

  Type: `AutoarFilter`

  An `AutoarFilter`.

#### Return value

Type: `gchar*`

An MIME type. Free the returned string with g_free().

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.